Bug 200223 - trident(4) XAA screen-to-screen copy is busted
trident(4) XAA screen-to-screen copy is busted
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-trident (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: 234654
  Show dependency treegraph
 
Reported: 2006-07-26 08:12 EDT by Leon Stringer
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 10:45:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Original xorg.conf (i.e. without noaccel) (2.72 KB, text/plain)
2006-07-26 15:49 EDT, Leon Stringer
no flags Details
Xorg log (without noaccel specified) (46.29 KB, text/plain)
2006-07-26 15:51 EDT, Leon Stringer
no flags Details
Screen capture of moved Nautilus window showing problem (2.58 KB, image/png)
2006-07-26 15:51 EDT, Leon Stringer
no flags Details
Screenshot of firefox showing problem (76.70 KB, image/png)
2006-07-26 15:53 EDT, Leon Stringer
no flags Details

  None (edit)
Description Leon Stringer 2006-07-26 08:12:31 EDT
Description of problem:
I'm experiencing problems with the the display such as:

 - Scrolling up through documents in Firefox, list controls, OOo, etc. causes
the canvas area to become messed.

 - Moving any windows in GNOME (Nautilus, terminal, firefox) causes the
the canvas are to become messed.

These problems can be fixed my minimising and restoring the window. (I assume
they're the same problem).

Version-Release number of selected component (if applicable):
1.2.1-2.1

How reproducible:
Consistently

Steps to Reproduce:
1. Open home directory Nautilus window in GNOME.
2. Click on caption bar and move window.

Or:

1. Open a long page in Firefox.
2. Press End to got the bottom of the page.
3. Press Page Up.
  
Actual results:
Window canvas is filled with nonsense. In Nautilus it is filled blue with some
geometric lines. In Firefox parts of the page are displayed horizontally sliced
up and down the window.

Expected results:
Window contents is preserved or repainted normally.

Additional info:
I'm testing on a Toshiba Tecra M1 and the adaptor is reported as a
Trident CyberBlade XP4m32. It worked fine with FC5.
Comment 1 Mike A. Harris 2006-07-26 15:08:39 EDT
Please attach your X server log file and config file as individual uncompressed
file attachments.  Also attach a screenshot showing the corruption if
possible.  If you can't capture it with a screenshot, a digital picture would
be ok too if possible.

Also, please try disabling 2D acceleration with:

Option "noaccel"

Does the problem go away with noaccel?  Please also test the 'vesa' driver
to see if it happens there too.  These tests will help narrow down where
the problem is for deeper investigation.

Thanks in advance.
Comment 2 Leon Stringer 2006-07-26 15:48:37 EDT
"noaccel" fixes the problem.

I'm not sure how to test with the vesa driver. Changing xorg.conf to:

  Driver      "vesa"

results in a blank screen when X starts and nothing else.

I'm attaching the requested information.
Comment 3 Leon Stringer 2006-07-26 15:49:48 EDT
Created attachment 133099 [details]
Original xorg.conf (i.e. without noaccel)
Comment 4 Leon Stringer 2006-07-26 15:51:03 EDT
Created attachment 133100 [details]
Xorg log (without noaccel specified)
Comment 5 Leon Stringer 2006-07-26 15:51:46 EDT
Created attachment 133101 [details]
Screen capture of moved Nautilus window showing problem
Comment 6 Leon Stringer 2006-07-26 15:53:09 EDT
Created attachment 133102 [details]
Screenshot of firefox showing problem

This is a shot of scrolling back (Page Up) up a web page from the end.
Comment 7 Mike A. Harris 2006-07-27 15:20:05 EDT
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=195387 is a similar
bug report.

It could be 2 independent but similar driver-specific issues, or it could
point to a flaw in the X server's acceleration common code paths perhaps.
Comment 8 Adam Jackson 2006-07-27 15:48:02 EDT
I don't think this is a dup of bug #193387.  The trident driver grew XAA support
for XP4 and XP5 between 7.0 and now, so it's likely to just be that.

Reporter, does using Option "AccelMethod" "EXA" instead of Option "noaccel" also
fix the problem?
Comment 9 Leon Stringer 2006-07-28 05:40:33 EDT
Yes, adding 'Option "AccelMethod" "EXA"' to the Device section also fixes the
problem.
Comment 10 Luis Cruz 2006-11-20 19:50:23 EST
I also have a Toshiba Tecra M1 with a Trident CyberBlade XP4m32 graphics card
and I found that although using 'Option "AccelMethod" "EXA" as the only option
in the Device Section fixes the corruption of the displayed images, watching OGG
videos no longer works when using Totem (only a blank window is shown).
Additionally, after using Totem, a green rectangle appears across the top of the
screen. I am running xorg-x11-drv-trident-1.2.1-3.fc6 and the final release of FC6.
Comment 11 Matthew Miller 2007-04-06 14:44:15 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 12 Matěj Cepl 2007-07-12 10:45:40 EDT
Even after almost three months there has been no activity on these bugs, so we
consider them obsolete and they are being closed as INSUFFICIENT_DATA.

Please, if you are able to reproduce this bug on currently supported (FC6 and
F7) non-test distribution, or if there is any other reason why this bug should
be kept alive, please, reopen, change the product to something more recent and
add an additional information to the comment of such bug.

Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.